require "test_helper"

class ApplicationSystemTestCase < ActionDispatch::SystemTestCase
  driven_by :selenium,
    using: ENV["VISIBLE_SYSTEM_TESTS"].present? ? :chrome : :headless_chrome,
    screen_size: [ 1400, 1400 ]

  def login(email, password = "secret")
    visit new_session_url

    fill_in "Email", with: email
    fill_in "Password", with: "secret"

    click_on "Create Session"

    assert_text "Session was successfully created"
  end
end
