require "test_helper"

class SessionsControllerTest < ActionDispatch::IntegrationTest
  test "should get new" do
    get new_session_url
    assert_response :success
  end

  test "should create session" do
    user = users(:one)
    params = {
      session: {
        email: user.email,
        password: "secret"
      }
    }
    post sessions_url, params: params

    assert_redirected_to root_url
  end

  test "should destroy session" do
    login(users(:one).email)
    delete session_url(@session)

    assert_redirected_to new_session_url
  end
end
